Documentation IndexFetch the complete documentation index at: /llms.txtUse this file to discover all available pages before exploring further.
Fetch the complete documentation index at: /llms.txt
Use this file to discover all available pages before exploring further.
TypeScript
import { FirmaClient } from "@firma-dev/sdk"; const firma = new FirmaClient({ apiKey: "YOUR_API_KEY" }); const response = await firma.workspaces.listWorkspaces(); console.log(response);
curl --request GET \ --url https://api.firma.dev/functions/v1/signing-request-api/workspaces \ --header 'Authorization: <api-key>'
import requests url = "https://api.firma.dev/functions/v1/signing-request-api/workspaces" headers = {"Authorization": "<api-key>"} response = requests.get(url, headers=headers) print(response.text)
const options = {method: 'GET', headers: {Authorization: '<api-key>'}}; fetch('https://api.firma.dev/functions/v1/signing-request-api/workspaces', options) .then(res => res.json()) .then(res => console.log(res)) .catch(err => console.error(err));
<?php $curl = curl_init(); curl_setopt_array($curl, [ CURLOPT_URL => "https://api.firma.dev/functions/v1/signing-request-api/workspaces", CURLOPT_RETURNTRANSFER => true, CURLOPT_ENCODING => "", CURLOPT_MAXREDIRS => 10, CURLOPT_TIMEOUT => 30, CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1, CURLOPT_CUSTOMREQUEST => "GET", CURLOPT_HTTPHEADER => [ "Authorization: <api-key>" ], ]); $response = curl_exec($curl); $err = curl_error($curl); curl_close($curl); if ($err) { echo "cURL Error #:" . $err; } else { echo $response; }
package main import ( "fmt" "net/http" "io" ) func main() { url := "https://api.firma.dev/functions/v1/signing-request-api/workspaces" req, _ := http.NewRequest("GET", url, nil) req.Header.Add("Authorization", "<api-key>") res, _ := http.DefaultClient.Do(req) defer res.Body.Close() body, _ := io.ReadAll(res.Body) fmt.Println(string(body)) }
HttpResponse<String> response = Unirest.get("https://api.firma.dev/functions/v1/signing-request-api/workspaces") .header("Authorization", "<api-key>") .asString();
require 'uri' require 'net/http' url = URI("https://api.firma.dev/functions/v1/signing-request-api/workspaces") http = Net::HTTP.new(url.host, url.port) http.use_ssl = true request = Net::HTTP::Get.new(url) request["Authorization"] = '<api-key>' response = http.request(request) puts response.read_body
200
Example
{ "results": [ { "id": "789e4567-e89b-12d3-a456-426614174000", "name": "Sales Workspace", "protected": false, "api_key": "fk_a1b2c3d4e5f6g7h8i9j0", "created_date": "2024-01-20T09:00:00Z", "updated_date": "2024-01-20T09:00:00Z" }, { "id": "456e4567-e89b-12d3-a456-426614174000", "name": "Default Workspace", "protected": true, "api_key": "fk_z9y8x7w6v5u4t3s2r1q0", "created_date": "2024-01-15T10:30:00Z", "updated_date": "2024-01-15T10:30:00Z" } ], "pagination": { "current_page": 1, "page_size": 20, "total_count": 2, "total_pages": 1 } }
Retrieve a paginated list of workspaces for the authenticated company
API key for authentication. Use your API key directly without any prefix (e.g., 'your-api-key'). Bearer prefix is optional but not required.
Page number for pagination
x >= 1
Number of items per page
1 <= x <= 200
Filter by workspace name (partial match, case-insensitive)
Filter by protected status
0
1
true
false
Filter workspaces created after this date (ISO 8601 format)
Filter workspaces created before this date (ISO 8601 format)
Field to sort by
name
protected
created_on
Sort order
asc
desc
Workspaces retrieved successfully
Paginated list of workspaces
Show child attributes
Pagination metadata for list responses
Was this page helpful?
Suggestions
Contact support